For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get stores

Retrieve the stores associated with your account.

Get stores

get

Retrieve the stores associated with your account.

Authorizations
AuthorizationstringRequired

API Token authentication

Query parameters
pageintegerOptional

Page number

Example: 1
Responses
200

Success response

application/json
get/api/ecommerce/v1/stores
GET /api/ecommerce/v1/stores HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "store_01J8Z5F8W9K8M4A7B3C2D1E0FG",
      "name": "My Store",
      "created_at": "2026-01-21T07:35:04.000000Z",
      "updated_at": "2026-01-21T07:35:04.000000Z",
      "version": "v2_standalone",
      "company_name": "My Company"
    }
  ],
  "meta": {
    "current_page": 1,
    "per_page": 15,
    "total": 100
  }
}

Last updated

Was this helpful?